<?php
/* $Id: holidays.za.inc.php,v 1.3 2003/10/02 16:56:05 k-fish Exp $ */

if (date("dm", $date) == "0101") $holiday = Lang::getLanguageString("newyear");
elseif (date("dm", $date) == "2103") $holiday = Lang::getLanguageString("humanrightsday");
elseif (date("dm", $date) == "2704") $holiday = Lang::getLanguageString("freedomday");
elseif (date("dm", $date) == "0105") $holiday = Lang::getLanguageString("workersday");
elseif (date("dm", $date) == "1606") $holiday = Lang::getLanguageString("youthday");
elseif (date("dm", $date) == "0908") $holiday = Lang::getLanguageString("womensday");
elseif (date("dm", $date) == "2409") $holiday = Lang::getLanguageString("heritageday");
elseif (date("dm", $date) == "1612") $holiday = Lang::getLanguageString("reconciliationday");
elseif (date("dm", $date) == "2512") $holiday = Lang::getLanguageString("firstchristmas");
elseif (date("dm", $date) == "2612") $holiday = Lang::getLanguageString("goodwillday");
else {
    if (date("dm", $date) == date("dm", $easter-3600*24*2)) $holiday = Lang::getLanguageString("goodfriday");
    elseif (date("dm", $date) == date("dm", $easter+3600*24*1)) $holiday = Lang::getLanguageString("familyday");
    else $holiday = ""; 
}
?>